load('ansitex/load/page.js');
load('ansitex/load/funcs.js');
load('ansitex/load/session/ansitex.js');
load('lz-string.js');

if (argv.length !== 1) {
	writeln('ERROR: Need a frame ID');
	exit(1);

} else {
	writeln('Showing frame:'+argv[0]);
}

const SESSION_EXT = 'tex';

var p = new Page();
var po = new PageObject(argv[0]);

if (p.get(po)) {
	writeln('Page      : '+p.name);
	writeln('- Cost    : '+p.cost);
	writeln('- Owner   : '+p.owner);
	writeln('- Key     : '+p.key);
	writeln('- Type    : '+p.type);
	writeln('- CUG     : '+p.cug);
	writeln('- isPublic: '+p.isPublic);
	writeln('- isAccess: '+p.accessible);

} else {
	writeln('Failed to load:'+argv[0]);
}
